Subject: Re: [patch] NET: remove support for Davicom 9102 from the Tulip driver

From: Jeff Garzik <[email-masked]>
Date: Fri, 04 Apr 2008 18:06:17 -0400

David Miller wrote:
> From: Jeff Garzik <[email-masked]>
> Date: Fri, 04 Apr 2008 17:38:06 -0400
> 
>> Meelis Roos wrote:
>>> CE> We have two reports that agree the tulip driver doesn't work for
>>> CE> the Davicom 9102 (PCI id 1282:9102). The dmfe driver does work
>>> CE> and also claims the same PCI ID.
>>>
>>> NAK, dmfe does not work on some Sparc64 machines but tulip does.
>>>
>>> I happent to have a Sun Fire V100 with 2 Davicom NICs (1282:9102 (rev 
>>> 31)).
>>> tulip driver works for them, dmfe doesn't. Tried with 2.6.25-rc7, first 
>>> it
>>> gets MAC addresses all zeroed and second, it only results in Tx 
>>> timeouts.
>> At the very least, it sounds like some SROM parsing problems on dmfe's 
>> part -- assuming a standard SROM when sparc64 provides a more 
>> complicated one.
> 
> With the onboard Sparc64 davicoms, the SROM is essentially empty.

In this case, should dmfe be retrieving the MAC address via

	addr = of_get_property(dp, "local-mac-address", &len);

as tulip is doing?

One thing that seems quite obvious is that dmfe is missing all the 
CONFIG_SPARC goodies that tulip has.

	Jeff